de.dhbwstuttgart.syntaxtree.misc

## Class DeclId

- java.lang.Object
- - de.dhbwstuttgart.syntaxtree.misc.DeclId

    public class DeclId
    extends java.lang.Object

### Field Summary

Fields
`protected static Logger` `codegenlog`
`private int` `m_LineNumber`
`private int` `m_Offset`
`Modifiers` `modifiers`
`java.lang.String` `name`
`Menge` `paratyp`
`private ExprStmt` `wert`

### Constructor Summary

Constructors
Constructor and Description
`DeclId()`
`DeclId(java.lang.String name)`

### Method Summary

All Methods Instance Methods Concrete Methods
`short` `get_access_flags()`
`Modifiers` `get_Modifiers()`
`java.lang.String` `get_Name()`
`Menge` `get_Paratyp()`
`ExprStmt` `get_Wert()`
`int` `getLineNumber()`
`int` `getOffset()`
`void` `set_ListType(Type t)`
`void` `set_Modifiers(Modifiers mod)`
`void` `set_Name(java.lang.String name)`
`void` `set_Paratyp(Menge p)`
`void` `set_Wert(ExprStmt w)`
`void` `setLineNumber(int lineNumber)`
`void` `setOffset(int Offset)`
`java.lang.String` `toString()` Author: Martin PlÃ¯Â¿Â½micke

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### modifiers

    public Modifiers modifiers

#### name

    public java.lang.String name

#### wert

    private ExprStmt wert

#### paratyp

    public Menge paratyp

#### m_LineNumber

    private int m_LineNumber

#### m_Offset

    private int m_Offset

#### codegenlog

    protected static Logger codegenlog

### Constructor Detail

#### DeclId

    public DeclId()

#### DeclId

    public DeclId(java.lang.String name)

### Method Detail

#### set_Paratyp

    public void set_Paratyp(Menge p)

#### get_Paratyp

    public Menge get_Paratyp()

#### set_Name

    public void set_Name(java.lang.String name)

#### set_Wert

    public void set_Wert(ExprStmt w)

#### get_Name

    public java.lang.String get_Name()

#### get_Wert

    public ExprStmt get_Wert()

#### set_Modifiers

    public void set_Modifiers(Modifiers mod)

#### get_Modifiers

    public Modifiers get_Modifiers()

#### get_access_flags

    public short get_access_flags()

#### set_ListType

    public void set_ListType(Type t)

#### getLineNumber

    public int getLineNumber()

#### setLineNumber

    public void setLineNumber(int lineNumber)

#### getOffset

    public int getOffset()

#### setOffset

    public void setOffset(int Offset)

#### toString

    public java.lang.String toString()

Author: Martin PlÃ¯Â¿Â½micke

Overrides:
  `toString` in class `java.lang.Object`
Returns: